.btn {
    display: flex;
    gap: 12px;
    padding: 15px 20px;
    font-size: 1.1rem;
    line-height: rem(15);
    font-weight: 500;
    background-color: $color-movie-dark;
    text-shadow: 1px 1px 1px rgba(20,20,20,0.5);
    border-radius: $common-border-radius;
    cursor: pointer;
    width: fit-content;
    @include btnHover($color-movie-orange, $color-white);
    text-transform: none;
    color: $color-grey;
    //States ----------
    &--red {
        border-color: $color-red;
        background-color: transparentize($color: $color-red, $amount: 0.5);
        @include btnHover($color-red, $color-text)
    }

    &--square {
        padding: 4px;

        .icon {
            width: 16px;
            height: 16px;
        }
    }

    &:disabled,
    &--disabled {
        pointer-events: none;
        background-color: $color-grey-light;
        border-color: $color-grey;
        color: $color-grey;
    }

    &--fullscreen {
        width: 100%;
        justify-content: center;
    }

    &--icon-translate-hover {
        svg {
            filter: invert(100%);
        }

        @media (hover: hover) {
            &:hover {
                .icon {
                    transform: translate3d(2px, 0, 0);
                }
            }
        }
    }
}
